
uniform sampler2D palette;
extern float row;

vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 screen_coords) {
   vec2 u = Texel(texture, texture_coords).ra;
   vec4 pixel = Texel(palette, vec2(u.r, row));
   pixel.a = u.g;
   return pixel * color;
}